$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-hub'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.32.106.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.32.106.msi'
  softwareName = 'Invantive Data Hub'
  checksum = 'C9B72F5688375A89AE25E5616B9D7A42F66FCFA6A5BF74525AA92D78FE1A6314'
  checksumType = 'sha256'
  checksum64 = 'C9B72F5688375A89AE25E5616B9D7A42F66FCFA6A5BF74525AA92D78FE1A6314'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-hub-17.32.106-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
